MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032387Open CASCADE[OCCT] OCCT:Visualizationpublic2021-05-24 15:252021-05-29 13:13
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032387: Visualization - use interface of ray-picking for selection/highlighting for XR pose
DescriptionAvoid creation of temporary camera with 1-tolerance to select/highlight for XR pose. And use new pick interface by axis
Steps To ReproduceNot required
TagsNo tags attached.
Test case numbervselect/axis/A2
Attached Files

- Relationships
related to 0032338verifiedbugmaster Visualization - provide straightforward interface for ray-picking 

-  Notes
(0101327)
git (administrator)
2021-05-24 15:26

Branch CR32387 has been created by osa.

SHA-1: 6fe03fd93678830625a2580ecad5a79543508d1b


Detailed log of new commits:

Author: osa
Date: Mon May 24 15:27:33 2021 +0300

    0032387: Visualization - use interface of ray-picking for selection/highlighting for XR pose
(0101331)
osa (developer)
2021-05-24 16:20

http://jenkins-test-occt/view/CR32387-master-OSA/view/ALL/ [^]
(0101335)
osa (developer)
2021-05-24 18:33

The patch is ready to review
(0101341)
kgv (developer)
2021-05-24 23:46
edited on: 2021-05-25 00:00

Please consider regression of SetPixelTolerance() in scope of this patch.

pload MODELING VISUALIZATION
box b 100 200 300
vinit View1
vdisplay -dispMode 1 b
vfit
vselmode b VERTEX 1
vselmode b FACE 1
vmoveto 324 320
# OK - vertex picked
vselaxis 50 -100 100 0 1 0 -display a
vmoveto 0 0
vmoveto 324 320
# KO


(0101348)
git (administrator)
2021-05-25 11:10

Branch CR32387 has been updated by osa.

SHA-1: e68ca4299bb0749198a78fa5f49cbfab4ec31e29


Detailed log of new commits:

Author: osa
Date: Tue May 25 10:52:06 2021 +0300

    #fix regression of SetPixelTolerance(). Remove myToUpdateTolerance flag

(0101349)
osa (developer)
2021-05-25 11:11

The patch was updated
(0101350)
git (administrator)
2021-05-25 11:12

Branch CR32387_1 has been created by osa.

SHA-1: 7ce59fb3924ff1ef4ceb2ed354389e74a51a3c08


Detailed log of new commits:

Author: osa
Date: Mon May 24 15:27:33 2021 +0300

    0032387: Visualization - use interface of ray-picking for selection/highlighting for XR pose
    
    Fix regression of SetPixelTolerance(). Remove myToUpdateTolerance flag
(0101355)
osa (developer)
2021-05-25 13:14

http://jenkins-test-occt/view/CR32387_1-master-OSA/view/ALL/ [^]
(0101369)
git (administrator)
2021-05-25 22:29

Branch CR32387_1 has been updated by kgv.

SHA-1: 7cc711b783d9f4eac4a9d3c1be8fb71757e6e143


Detailed log of new commits:

Author: kgv
Date: Tue May 25 22:30:05 2021 +0300

    SelectMgr_AxisIntersector::raySegmentDistance() - fix usage of SquareModulus() instead of Modulus()

(0101370)
git (administrator)
2021-05-25 22:44

Branch CR32387_1 has been updated forcibly by kgv.

SHA-1: 848092c6d8aa57c43537664b4735ea3f78537cc1
(0101372)
git (administrator)
2021-05-25 23:14

Branch CR32387_1 has been updated by kgv.

SHA-1: 8e1d606fdcca32323f6dce17424ec12ae661bb32


Detailed log of new commits:

Author: kgv
Date: Tue May 25 23:13:44 2021 +0300

    # Graphic3d_CView::ViewAxisInWorld() - simplify definition

Author: kgv
Date: Tue May 25 23:13:25 2021 +0300

    # SelectMgr_ViewerSelector::TraverseSensitives() - skip both BVHSubset_2dPersistent and BVHSubset_3dPersistent relying on Camera

(0101373)
git (administrator)
2021-05-25 23:18

Branch CR32387_2 has been created by kgv.

SHA-1: 3d5c2451b36b3426dbeab9b05f5dff24d6fadfff


Detailed log of new commits:

Author: osa
Date: Mon May 24 15:27:33 2021 +0300

    0032387: Visualization - use interface of ray-picking for selection/highlighting for XR pose
    
    Fixed regression of SelectMgr_ViewerSelector::SetPixelTolerance(). Removed redundant myToUpdateTolerance flag.
    
    SelectMgr_AxisIntersector::raySegmentDistance() - fixed usage of SquareModulus() instead of Modulus().
    SelectMgr_ViewerSelector::TraverseSensitives() now skips both BVHSubset_2dPersistent and BVHSubset_3dPersistent relying on Camera.
    
    AIS_ViewController::handleXRMoveTo() now uses interface for picking by Axis explicitly
    instead of emulating axis by point picking.
(0101376)
kgv (developer)
2021-05-26 09:47

Please raise the patch
- OCCT: branch CR32387_2.
(0101470)
bugmaster (administrator)
2021-05-29 12:02

Combination -
OCCT branch : IR-2021-05-28
master SHA - 2315a044240803013da63dd2f5209c739ab03727
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-28 SHA - 2131ac830b9e3c707d427f2aac9c50dcfa5c74db
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17574.5700000004 / 17867.41000000037 [-1.64%]
Products
Total CPU difference: 11533.700000000124 / 11535.680000000108 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19393.5625 / 19367.75 [+0.13%]
Products
Total CPU difference: 12891.8125 / 12920.9375 [-0.23%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101500)
git (administrator)
2021-05-29 13:13

Branch CR32387 has been deleted by mnt.

SHA-1: e68ca4299bb0749198a78fa5f49cbfab4ec31e29
(0101501)
git (administrator)
2021-05-29 13:13

Branch CR32387_1 has been deleted by mnt.

SHA-1: 8e1d606fdcca32323f6dce17424ec12ae661bb32
(0101502)
git (administrator)
2021-05-29 13:13

Branch CR32387_2 has been deleted by mnt.

SHA-1: 3d5c2451b36b3426dbeab9b05f5dff24d6fadfff

- Related Changesets
occt: master 807340d9
Timestamp: 2021-05-24 12:27:33
Author: osa
Committer: bugmaster
Details ] Diff ]
0032387: Visualization - use interface of ray-picking for selection/highlighting for XR pose

Fixed regression of SelectMgr_ViewerSelector::SetPixelTolerance(). Removed redundant myToUpdateTolerance flag.

SelectMgr_AxisIntersector::raySegmentDistance() - fixed usage of SquareModulus() instead of Modulus().
SelectMgr_ViewerSelector::TraverseSensitives() now skips both BVHSubset_2dPersistent and BVHSubset_3dPersistent relying on Camera.

AIS_ViewController::handleXRMoveTo() now uses interface for picking by Axis explicitly
instead of emulating axis by point picking.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_AxisIntersector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector3d.cxx Diff ] File ]
add - tests/vselect/axis/A2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-24 15:25 osa New Issue
2021-05-24 15:25 osa Assigned To => kgv
2021-05-24 15:25 osa Assigned To kgv => osa
2021-05-24 15:25 osa Status new => assigned
2021-05-24 15:26 git Note Added: 0101327
2021-05-24 15:33 osa Relationship added related to 0032338
2021-05-24 16:20 osa Note Added: 0101331
2021-05-24 18:33 osa Note Added: 0101335
2021-05-24 18:33 osa Assigned To osa => kgv
2021-05-24 18:33 osa Status assigned => resolved
2021-05-24 18:33 osa Steps to Reproduce Updated View Revisions
2021-05-24 23:46 kgv Note Added: 0101341
2021-05-24 23:46 kgv Assigned To kgv => osa
2021-05-24 23:46 kgv Status resolved => assigned
2021-05-25 00:00 kgv Note Edited: 0101341 View Revisions
2021-05-25 11:10 git Note Added: 0101348
2021-05-25 11:11 osa Note Added: 0101349
2021-05-25 11:11 osa Assigned To osa => kgv
2021-05-25 11:11 osa Status assigned => resolved
2021-05-25 11:12 git Note Added: 0101350
2021-05-25 13:14 osa Note Added: 0101355
2021-05-25 22:29 git Note Added: 0101369
2021-05-25 22:44 git Note Added: 0101370
2021-05-25 23:14 git Note Added: 0101372
2021-05-25 23:18 git Note Added: 0101373
2021-05-26 09:47 kgv Note Added: 0101376
2021-05-26 09:47 kgv Assigned To kgv => bugmaster
2021-05-26 09:47 kgv Severity minor => feature
2021-05-26 09:47 kgv Status resolved => reviewed
2021-05-29 12:02 bugmaster Note Added: 0101470
2021-05-29 12:02 bugmaster Status reviewed => tested
2021-05-29 12:05 bugmaster Test case number => vselect/axis/A2
2021-05-29 12:12 bugmaster Changeset attached => occt master 807340d9
2021-05-29 12:12 bugmaster Status tested => verified
2021-05-29 12:12 bugmaster Resolution open => fixed
2021-05-29 13:13 git Note Added: 0101500
2021-05-29 13:13 git Note Added: 0101501
2021-05-29 13:13 git Note Added: 0101502


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker